Subject: Re: Here documents in ash shell scripts mess up stdin on 9x
From: [email-masked] (Mikey)
To: Christopher Faylor <[email-masked]>, [email-masked]
Date: Sun, 14 Feb 1999 02:16:44 GMT

The subject is here documents in ash,
not ash bugs in general.

The other bug that I noticed that caused
me to go back to B19 ash is that
B20 ash fails to read/execute $SHINIT, which is
how I get it to read ~/.shrc on startup.

Sorry Chris, I know you did most of the work
on "upgrading" ash, but I really can't see the
point to adding console math functions in an sh compatible
shell. I don't recall them being there in svr4, but maybe my
memory is bad?

The only reason for ash to even
be included in cygwin is that it has about
20% of the working set size of bash. Making it bigger
isn't going to make it load/fork faster. ;^)

It would be more to the point IMHO to get rid of the hash code, since
it isn't needed under windows. 
(windows already keeps track of the last XXX files that have been opened see
HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\FS Templates )

In the meantime what about the here document BUG?

On Sat, 13 Feb 1999 16:42:22 -0500, you wrote:

>On Sat, Feb 13, 1999 at 01:19:17AM +0000, Mikey wrote:
>>Yes, ash on 9x is much more stable (and faster :) running configure
>>than bash.  On 95a linking /bin/sh -> bash.exe will cause lockups, even
>>with CYGWIN= tty or at least it did for me with b19, your mileage may
>>vary.
>>
>>Do not use the b20 ash, recompile the one from b19, the b20 ash has
>>several serious bugs, and someone is trying to add features, that are
>>not needed, for a non-login shell.
>>
>>The main problem is that once ash exits after running configure if you
>>continue to use that login shell and a non cygwin app segfaults in it,
>>you can have hard lockups.
>>
>>Can you say reset-button?  I knew you could ;^)
>
>FYI, the B20 version of ASH has a number of bug fixes over the B19
>version.  If there are specific problems that people would like to
>submit fixes for, we'd be happy to apply them.
>
>Also, FYI, the ash that we're using comes from Debian.
>
>So far a number of the problems that I've seen have been complaints that
>ash doesn't work like bash.  That's exactly right.  Ash is meant to
>emulate /bin/sh.  /bin/sh != bash.
>
>Pointing out that ash has "several serious bugs" does not really give
>us enough information to work with.